public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/acme-tiny] rawhide: update existing crt in case csr is newer
@ 2026-08-22 16:02 Peter Bieringer
0 siblings, 0 replies; only message in thread
From: Peter Bieringer @ 2026-08-22 16:02 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/acme-tiny
Branch : rawhide
Commit : 01f60a920c8e4fae25ad2883edb3a38c00151e48
Author : Peter Bieringer <pb@bieringer.de>
Date : 2023-12-30T21:04:04+01:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/acme-tiny/c/01f60a920c8e4fae25ad2883edb3a38c00151e48?branch=rawhide
Log:
update existing crt in case csr is newer
---
diff --git a/acme-tiny-sign.sh b/acme-tiny-sign.sh
index 9999005..20a2c26 100755
--- a/acme-tiny-sign.sh
+++ b/acme-tiny-sign.sh
@@ -32,7 +32,7 @@ for csr in csr/*.csr; do
tmp="certs/${crt##csr/}.tmp"
crt="certs/${crt##csr/}.crt"
if test -s "$crt" && openssl x509 -in "$crt" -noout -checkend "$secs"; then
- continue
+ [ $csr -nt $crt ] || continue
fi
if test -w "$crt" || test ! -e "$crt"; then
echo acme_tiny --account-key private/account.key --csr "$csr" \
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-08-22 16:02 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-22 16:02 [rpms/acme-tiny] rawhide: update existing crt in case csr is newer Peter Bieringer
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox